%bcond_without exiv2

Name:           photoqt
Version:        3.0
Release:        %mkrel 1
Summary:        A fast Qt image viewer
License:        GPLv3
Group:          Graphics
Url:            https://photoqt.org/
Source0:        https://photoqt.org/pkgs/%{name}-%{version}.tar.xz
BuildRequires:  qtmultimedia5
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(poppler-qt5)
%if %{with exiv2}
BuildRequires:  pkgconfig(exiv2)
%endif
BuildRequires:  pkgconfig(GraphicsMagick++)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(IL)
BuildRequires:  pkgconfig(pugixml)
Requires:       qtbase5-database-plugin-sqlite
Requires:       graphicsmagick
Requires:       qtmultimedia5
Requires:       qtquickcontrols2
Requires:       qtquickcontrols5
Requires:       qtgraphicaleffects5

Obsoletes:      photo

%description
PhotoQt is a simple, yet powerful and good looking image viewer,
written in Qt, published as open-source, and completely free.

%prep
%setup -q
%apply_patches

%build
%cmake_qt5 -DFREEIMAGE=OFF -DEXIV2=ON -DCHROMECAST=OFF
%cmake_build


%install
%cmake_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%files
%{_bindir}
%{_datadir}

%changelog
* Mon Feb 06 2023 tex - 3.0-1pclos2023
- new version: 3.0

